from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dbconfig import DB2DBConfig
from .dataproxy import DB2DataProxy
from .constants import DB_TYPES

__version__ = '1.0.0'

class DB2Model(SQLAlchemyModel):
    db_types = DB_TYPES


class DB2ModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES
    model_class = DB2Model


ModuleMaker = DB2ModuleMaker
Model = DB2Model
DataProxy = DB2DataProxy
DBConfig = DB2DBConfig
DB_TYPES = DB_TYPES
